Bug 4835 - python bindings don't build for current SAMBA_3_0_25 branch
python bindings don't build for current SAMBA_3_0_25 branch
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: python
3.0.25b
x86 Linux
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 08:07 UTC by Franz Sirl
Modified: 2007-08-27 07:25 UTC (History)
1 user (show)

See Also:


Attachments
Patch to make py_smb.c build in 3.0.25c. (914 bytes, patch)
2007-08-26 06:35 UTC, Johan Andersson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Sirl 2007-07-30 08:07:08 UTC
As I reported already on the samba-list:

building 'smb' extension
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -march=i586 -mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -g -O2 -g -m32 -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS -D_SAMBA_BUILD_=3 -fPIC -I/usr/include/python2.4 -c python/py_smb.c -o build/temp.linux-i686-2.4/python/py_smb.o -O2 -g -m32 -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS -D_SAMBA_BUILD_=3 -DHAVE_CONFIG_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_DEPRECATED -O2 -g -m32 -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -DIDMAP_RID_SUPPORT_TRUSTED_DOMAINS -D_SAMBA_BUILD_=3 -Iinclude -I./include -I. -I. -I./lib/replace -I./lib/talloc -I./tdb/include -I./libaddns -I./librpc -DHAVE_CONFIG_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_DEPRECATED -I/home/fsirl/BUILD/samba-3.0.25b/source/lib -D_SAMBA_BUILD_=3
In file included from /usr/include/python2.4/Python.h:8,
                 from ./python/py_common.h:33,
                 from ./python/py_smb.h:24,
                 from python/py_smb.c:21:
/usr/include/python2.4/pyconfig.h:838:1: warning: "_POSIX_C_SOURCE" redefined
In file included from /usr/include/stdio.h:28,
                 from ./lib/replace/replace.h:39,
                 from include/includes.h:29,
                 from ./python/py_common.h:24,
                 from ./python/py_smb.h:24,
                 from python/py_smb.c:21:
/usr/include/features.h:154:1: warning: this is the location of the previous definition
python/py_smb.c: In function ‘py_smb_connect’:
python/py_smb.c:51: error: wrong type argument to unary exclamation mark
python/py_smb.c: In function ‘py_smb_session_request’:
python/py_smb.c:71: warning: assignment discards qualifiers from pointer target type
error: command 'gcc' failed with exit status 1
make: *** [python_ext] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.90950 (%build)

This is on SLES10SP1 with gcc-4.1.2 and python-2.4.2.
Comment 1 Johan Andersson 2007-08-26 06:35:48 UTC
Created attachment 2888 [details]
Patch to make py_smb.c build in 3.0.25c.

This patch should make py_smb.c build correctly.
Comment 2 Franz Sirl 2007-08-27 06:24:40 UTC
AFAICS this has already been fixed in SVN:

  http://viewcvs.samba.org/cgi-bin/viewcvs.cgi?rev=24635&view=rev

Comment 3 Johan Andersson 2007-08-27 07:25:16 UTC
OK, good.
It was fixed 3 days ago, just after I checked if it was fixed.